<nz-spin [nzSpinning]="isLoading">
  <app-main-layout title="Edition / création d'organisation" [breadCrumbs]="['Admin', 'organisation', 'edition et création']">
    <ng-container *ngIf="!isLoading">
      <div nz-row>
        <div nz-col nzSpan="24">
          <form (ngSubmit)="createOrganization()" *ngIf="organizationForm" [formGroup]="organizationForm" nz-form
                nzLayout="vertical">
            <nz-form-item>
              <nz-form-label nzRequired>Nom de l'organisation</nz-form-label>
              <nz-form-control [nzErrorTip]="nameErrorTpl" nzHasFeedback>
                <input formControlName="name" nz-input placeholder="Nom"/>
                <ng-template #nameErrorTpl let-control>
                  <ng-container *ngIf="control.hasError('required')">
                    Complétez le nom de l'organisation
                  </ng-container>
                </ng-template>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-label nzRequired>Validation auto</nz-form-label>
              <nz-form-control>
                <nz-switch formControlName="autoValidation"></nz-switch>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-control>
                <button [disabled]="!organizationForm.valid" nz-button nzType="primary">Sauver</button>
              </nz-form-control>
            </nz-form-item>
          </form>
        </div>
      </div>

      <nz-divider></nz-divider>

      <div nz-row>
        <div nz-col nzSpan="24">
          <form nz-form nzLayout="vertical" [formGroup]="userSearchForm">

            <nz-form-item>
              <nz-form-label>Ajouter un patient</nz-form-label>
              <nz-form-control>
                <input placeholder="Rechercher" nz-input formControlName="value"
                       [nzAutocomplete]="autoUsers" />
                <nz-autocomplete #autoUsers [nzBackfill]="true">
                  <nz-auto-option
                    *ngFor="let user of usersList"
                    [nzValue]="user"
                    [nzLabel]="user.lastName + ' ' + user.firstName"
                  >
                    {{ user.lastName }} {{ user.firstName }}
                  </nz-auto-option>
                </nz-autocomplete>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-control>
                <button type="button" [disabled]="userSearchForm.get('value').invalid"
                        nz-button nzType="primary"
                        (click)="addUserByType('isUser')">Ajouter</button>
              </nz-form-control>
            </nz-form-item>
          </form>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzSpan="24" *ngIf="organization">
          <app-cruder [service]="organizationUsersService" type="isUser" [other]="organization"></app-cruder>
        </div>
      </div>

      <div nz-row>
        <div nz-col nzSpan="24">
          <form nz-form nzLayout="vertical" [formGroup]="managerSearchForm">

            <nz-form-item>
              <nz-form-label>Ajouter un manager</nz-form-label>
              <nz-form-control>
                <input placeholder="Rechercher" nz-input formControlName="value"
                       [nzAutocomplete]="autoManagers" />
                <nz-autocomplete #autoManagers [nzBackfill]="true">
                  <nz-auto-option
                    *ngFor="let manager of managersList"
                    [nzValue]="manager"
                    [nzLabel]="manager.lastName + ' ' + manager.firstName"
                  >
                    {{ manager.lastName }} {{ manager.firstName }}
                  </nz-auto-option>
                </nz-autocomplete>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-control>
                <button type="button" [disabled]="managerSearchForm.get('value').invalid"
                        nz-button nzType="primary"
                        (click)="addUserByType('isManager')">Ajouter</button>
              </nz-form-control>
            </nz-form-item>
          </form>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzSpan="24" *ngIf="organization">
          <app-cruder [service]="organizationUsersService" type="isManager" [other]="organization"></app-cruder>
        </div>
      </div>

    </ng-container>
  </app-main-layout>
</nz-spin>
